> ## Documentation Index
> Fetch the complete documentation index at: https://devliz.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch watch providers

> This endpoint allows you to get a list of streaming providers for a movie.



## OpenAPI

````yaml get /movie/{{movie_id}}/watch/providers
openapi: 3.0.3
info:
  title: TMDB API DOCS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org/3
  - url: https://api.themoviedb.org
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: >-
      This section contains endpoints that let you create authentication
      sessions for TMDB Guests and User accounts.
  - name: Account
    description: >-
      This section contains endpoints that let you access and sync with TMDB
      user account information.
  - name: Certifications
    description: >-
      This section contains endpoints that provide an up-to-date list of the
      officially supported movies and TV show certifications on TMDB.
  - name: Changes
    description: >-
      This section contains endpoints that let you fetch the list of Movie IDs,
      People IDs, and TV show IDs that have been changed in the past 24 hours.
  - name: Collections
    description: >-
      This collection contains endpoints that let you fetch movie collection
      details.
  - name: Discover
    description: >-
      This section contains endpoints that let you search for movies and TV
      shows, using sorts and filters.
  - name: Configuration
    description: This section contains endpoints that let you query the API configuration.
  - name: Movies
    description: >-
      This section contains endpoints that let you fetch information about the
      movie resource.
  - name: Companies
    description: >-
      This section contains endpoints that fetch information about a movie
      production company.
  - name: Credits
    description: This section contains endpoint for credit details.
  - name: Find
    description: This section contains endpoints that let you find movie or TV data.
  - name: Genres
    description: This section contain endpoints that let you get movie and TV genres.
  - name: Search
    description: This section contains endpoints that let you search through TMDB
  - name: Keywords
    description: This section contains endpoints for keyword information in TMDB
  - name: Movie Lists
    description: >-
      This section contains endpoints that let you fetch information about list
      of movies on TMDB
  - name: Networks
    description: >-
      This section contains endpoints that let you get information about the
      streaming networks.
  - name: People Lists
    description: This section contains endpoints of list of people.
  - name: People
    description: >-
      This section contains endpoints that let you get information about a
      person.
  - name: Reviews
    description: This section contains endpoints for movie or TV reviews.
  - name: Trending
    description: This section contains endpoints for trending movies, TV shows, and people.
  - name: TV Series List
    description: This section contains endpoints for listing TV series.
  - name: TV Series
    description: >-
      This section contains endpoints that let you get information for a TV
      series by ID
  - name: TV Seasons
    description: This section contains endpoints for TV show seasons.
  - name: TV Episodes
    description: >-
      This section contains endpoints that let you query information about a TV
      episode.
  - name: TV Episode groups
    description: This section contains endpoints for TV Episode information
  - name: Watch providers
    description: >-
      This section contains endpoints that let you get information about watch
      providers.
paths:
  /movie/{{movie_id}}/watch/providers:
    parameters:
      - name: movie_id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Movies
      summary: Fetch watch providers
      description: >-
        This endpoint allows you to get a list of streaming providers for a
        movie.
      operationId: fetchWatchProviders
      responses:
        '200':
          description: Fetch streaming providers
          headers:
            Alt-Svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
            Cache-Control:
              schema:
                type: string
                example: public, max-age=10966
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Date:
              schema:
                type: string
                example: Tue, 17 Dec 2024 13:36:46 GMT
            ETag:
              schema:
                type: string
                example: W/"1c343e282a319b9ae753fd81f72457db"
            Server:
              schema:
                type: string
                example: openresty
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Vary:
              schema:
                type: string
                example: Origin
            Via:
              schema:
                type: string
                example: >-
                  1.1 199fd61d7551d8868317c5b53cc7d24c.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: wY6bVQLqwH9Lsl6EgzydVSScYUxU6aTiDopEJY19OTMqSmpqejtQXQ==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: IAD89-C3
            X-Cache:
              schema:
                type: string
                example: Miss from cloudfront
            x-memc:
              schema:
                type: string
                example: HIT
            x-memc-age:
              schema:
                type: string
                example: '13968'
            x-memc-expires:
              schema:
                type: string
                example: '10966'
            x-memc-key:
              schema:
                type: string
                example: e5fb8b460cf9a175a1b2483dfeaa2e42
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                    example: 1182387
                  results:
                    type: object
                    properties:
                      CA:
                        type: object
                        properties:
                          buy:
                            type: array
                            items:
                              type: object
                              properties:
                                display_priority:
                                  type: number
                                  example: 6
                                logo_path:
                                  type: string
                                  example: /9ghgSC0MA082EL6HLCW3GalykFD.jpg
                                provider_id:
                                  type: number
                                  example: 2
                                provider_name:
                                  type: string
                                  example: Apple TV
                            example:
                              - display_priority: 6
                                logo_path: /9ghgSC0MA082EL6HLCW3GalykFD.jpg
                                provider_id: 2
                                provider_name: Apple TV
                              - display_priority: 8
                                logo_path: /8z7rC8uIDaTM91X0ZfkRf04ydj2.jpg
                                provider_id: 3
                                provider_name: Google Play Movies
                              - display_priority: 19
                                logo_path: /d1mUAhpJpxy0YMjwVOZ4lxAAbeT.jpg
                                provider_id: 140
                                provider_name: Cineplex
                              - display_priority: 23
                                logo_path: /5vfrJQgNe9UnHVgVNAwZTy0Jo9o.jpg
                                provider_id: 68
                                provider_name: Microsoft Store
                              - display_priority: 37
                                logo_path: /pTnn5JwWr4p3pG8H6VrpiQo7Vs0.jpg
                                provider_id: 192
                                provider_name: YouTube
                              - display_priority: 59
                                logo_path: /seGSXajazLMCKGB5hnRCidtjay1.jpg
                                provider_id: 10
                                provider_name: Amazon Video
                          link:
                            type: string
                            example: >-
                              https://www.themoviedb.org/movie/1182387-armor/watch?locale=CA
                          rent:
                            type: array
                            items:
                              type: object
                              properties:
                                display_priority:
                                  type: number
                                  example: 6
                                logo_path:
                                  type: string
                                  example: /9ghgSC0MA082EL6HLCW3GalykFD.jpg
                                provider_id:
                                  type: number
                                  example: 2
                                provider_name:
                                  type: string
                                  example: Apple TV
                            example:
                              - display_priority: 6
                                logo_path: /9ghgSC0MA082EL6HLCW3GalykFD.jpg
                                provider_id: 2
                                provider_name: Apple TV
                              - display_priority: 8
                                logo_path: /8z7rC8uIDaTM91X0ZfkRf04ydj2.jpg
                                provider_id: 3
                                provider_name: Google Play Movies
                              - display_priority: 19
                                logo_path: /d1mUAhpJpxy0YMjwVOZ4lxAAbeT.jpg
                                provider_id: 140
                                provider_name: Cineplex
                              - display_priority: 23
                                logo_path: /5vfrJQgNe9UnHVgVNAwZTy0Jo9o.jpg
                                provider_id: 68
                                provider_name: Microsoft Store
                              - display_priority: 37
                                logo_path: /pTnn5JwWr4p3pG8H6VrpiQo7Vs0.jpg
                                provider_id: 192
                                provider_name: YouTube
                              - display_priority: 59
                                logo_path: /seGSXajazLMCKGB5hnRCidtjay1.jpg
                                provider_id: 10
                                provider_name: Amazon Video
                              - display_priority: 86
                                logo_path: /vLZKlXUNDcZR7ilvfY9Wr9k80FZ.jpg
                                provider_id: 538
                                provider_name: Plex
                      US:
                        type: object
                        properties:
                          buy:
                            type: array
                            items:
                              type: object
                              properties:
                                display_priority:
                                  type: number
                                  example: 5
                                logo_path:
                                  type: string
                                  example: /seGSXajazLMCKGB5hnRCidtjay1.jpg
                                provider_id:
                                  type: number
                                  example: 10
                                provider_name:
                                  type: string
                                  example: Amazon Video
                            example:
                              - display_priority: 5
                                logo_path: /seGSXajazLMCKGB5hnRCidtjay1.jpg
                                provider_id: 10
                                provider_name: Amazon Video
                              - display_priority: 6
                                logo_path: /9ghgSC0MA082EL6HLCW3GalykFD.jpg
                                provider_id: 2
                                provider_name: Apple TV
                              - display_priority: 16
                                logo_path: /8z7rC8uIDaTM91X0ZfkRf04ydj2.jpg
                                provider_id: 3
                                provider_name: Google Play Movies
                              - display_priority: 17
                                logo_path: /pTnn5JwWr4p3pG8H6VrpiQo7Vs0.jpg
                                provider_id: 192
                                provider_name: YouTube
                              - display_priority: 37
                                logo_path: /19fkcOz0xeUgCVW8tO85uOYnYK9.jpg
                                provider_id: 7
                                provider_name: Fandango At Home
                              - display_priority: 47
                                logo_path: /5vfrJQgNe9UnHVgVNAwZTy0Jo9o.jpg
                                provider_id: 68
                                provider_name: Microsoft Store
                          link:
                            type: string
                            example: >-
                              https://www.themoviedb.org/movie/1182387-armor/watch?locale=US
                          rent:
                            type: array
                            items:
                              type: object
                              properties:
                                display_priority:
                                  type: number
                                  example: 5
                                logo_path:
                                  type: string
                                  example: /seGSXajazLMCKGB5hnRCidtjay1.jpg
                                provider_id:
                                  type: number
                                  example: 10
                                provider_name:
                                  type: string
                                  example: Amazon Video
                            example:
                              - display_priority: 5
                                logo_path: /seGSXajazLMCKGB5hnRCidtjay1.jpg
                                provider_id: 10
                                provider_name: Amazon Video
                              - display_priority: 6
                                logo_path: /9ghgSC0MA082EL6HLCW3GalykFD.jpg
                                provider_id: 2
                                provider_name: Apple TV
                              - display_priority: 16
                                logo_path: /8z7rC8uIDaTM91X0ZfkRf04ydj2.jpg
                                provider_id: 3
                                provider_name: Google Play Movies
                              - display_priority: 17
                                logo_path: /pTnn5JwWr4p3pG8H6VrpiQo7Vs0.jpg
                                provider_id: 192
                                provider_name: YouTube
                              - display_priority: 37
                                logo_path: /19fkcOz0xeUgCVW8tO85uOYnYK9.jpg
                                provider_id: 7
                                provider_name: Fandango At Home
                              - display_priority: 47
                                logo_path: /5vfrJQgNe9UnHVgVNAwZTy0Jo9o.jpg
                                provider_id: 68
                                provider_name: Microsoft Store
                              - display_priority: 130
                                logo_path: /aAb9CUHjFe9Y3O57qnrJH0KOF1B.jpg
                                provider_id: 486
                                provider_name: Spectrum On Demand
              examples:
                Fetch streaming providers:
                  value:
                    id: 1182387
                    results:
                      CA:
                        buy:
                          - display_priority: 6
                            logo_path: /9ghgSC0MA082EL6HLCW3GalykFD.jpg
                            provider_id: 2
                            provider_name: Apple TV
                          - display_priority: 8
                            logo_path: /8z7rC8uIDaTM91X0ZfkRf04ydj2.jpg
                            provider_id: 3
                            provider_name: Google Play Movies
                          - display_priority: 19
                            logo_path: /d1mUAhpJpxy0YMjwVOZ4lxAAbeT.jpg
                            provider_id: 140
                            provider_name: Cineplex
                          - display_priority: 23
                            logo_path: /5vfrJQgNe9UnHVgVNAwZTy0Jo9o.jpg
                            provider_id: 68
                            provider_name: Microsoft Store
                          - display_priority: 37
                            logo_path: /pTnn5JwWr4p3pG8H6VrpiQo7Vs0.jpg
                            provider_id: 192
                            provider_name: YouTube
                          - display_priority: 59
                            logo_path: /seGSXajazLMCKGB5hnRCidtjay1.jpg
                            provider_id: 10
                            provider_name: Amazon Video
                        link: >-
                          https://www.themoviedb.org/movie/1182387-armor/watch?locale=CA
                        rent:
                          - display_priority: 6
                            logo_path: /9ghgSC0MA082EL6HLCW3GalykFD.jpg
                            provider_id: 2
                            provider_name: Apple TV
                          - display_priority: 8
                            logo_path: /8z7rC8uIDaTM91X0ZfkRf04ydj2.jpg
                            provider_id: 3
                            provider_name: Google Play Movies
                          - display_priority: 19
                            logo_path: /d1mUAhpJpxy0YMjwVOZ4lxAAbeT.jpg
                            provider_id: 140
                            provider_name: Cineplex
                          - display_priority: 23
                            logo_path: /5vfrJQgNe9UnHVgVNAwZTy0Jo9o.jpg
                            provider_id: 68
                            provider_name: Microsoft Store
                          - display_priority: 37
                            logo_path: /pTnn5JwWr4p3pG8H6VrpiQo7Vs0.jpg
                            provider_id: 192
                            provider_name: YouTube
                          - display_priority: 59
                            logo_path: /seGSXajazLMCKGB5hnRCidtjay1.jpg
                            provider_id: 10
                            provider_name: Amazon Video
                          - display_priority: 86
                            logo_path: /vLZKlXUNDcZR7ilvfY9Wr9k80FZ.jpg
                            provider_id: 538
                            provider_name: Plex
                      US:
                        buy:
                          - display_priority: 5
                            logo_path: /seGSXajazLMCKGB5hnRCidtjay1.jpg
                            provider_id: 10
                            provider_name: Amazon Video
                          - display_priority: 6
                            logo_path: /9ghgSC0MA082EL6HLCW3GalykFD.jpg
                            provider_id: 2
                            provider_name: Apple TV
                          - display_priority: 16
                            logo_path: /8z7rC8uIDaTM91X0ZfkRf04ydj2.jpg
                            provider_id: 3
                            provider_name: Google Play Movies
                          - display_priority: 17
                            logo_path: /pTnn5JwWr4p3pG8H6VrpiQo7Vs0.jpg
                            provider_id: 192
                            provider_name: YouTube
                          - display_priority: 37
                            logo_path: /19fkcOz0xeUgCVW8tO85uOYnYK9.jpg
                            provider_id: 7
                            provider_name: Fandango At Home
                          - display_priority: 47
                            logo_path: /5vfrJQgNe9UnHVgVNAwZTy0Jo9o.jpg
                            provider_id: 68
                            provider_name: Microsoft Store
                        link: >-
                          https://www.themoviedb.org/movie/1182387-armor/watch?locale=US
                        rent:
                          - display_priority: 5
                            logo_path: /seGSXajazLMCKGB5hnRCidtjay1.jpg
                            provider_id: 10
                            provider_name: Amazon Video
                          - display_priority: 6
                            logo_path: /9ghgSC0MA082EL6HLCW3GalykFD.jpg
                            provider_id: 2
                            provider_name: Apple TV
                          - display_priority: 16
                            logo_path: /8z7rC8uIDaTM91X0ZfkRf04ydj2.jpg
                            provider_id: 3
                            provider_name: Google Play Movies
                          - display_priority: 17
                            logo_path: /pTnn5JwWr4p3pG8H6VrpiQo7Vs0.jpg
                            provider_id: 192
                            provider_name: YouTube
                          - display_priority: 37
                            logo_path: /19fkcOz0xeUgCVW8tO85uOYnYK9.jpg
                            provider_id: 7
                            provider_name: Fandango At Home
                          - display_priority: 47
                            logo_path: /5vfrJQgNe9UnHVgVNAwZTy0Jo9o.jpg
                            provider_id: 68
                            provider_name: Microsoft Store
                          - display_priority: 130
                            logo_path: /aAb9CUHjFe9Y3O57qnrJH0KOF1B.jpg
                            provider_id: 486
                            provider_name: Spectrum On Demand
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````